1. Order
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Orders
      • Get Orders Details
      • Get Orders Refund Info
      • Orders Refund
      • Get Transaction
      • Get Support Crypto Currency List
      • Get Support Real Currency List
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
        POST
      • Get Payment Info
        POST
      • Get Support Real Currency List
        GET
      • Get Support Crypto Currency List
        GET
      • Get Orders
        GET
      • Get Orders Details
        GET
      • Get Transaction
        GET
      • Get Orders Refund Info
        GET
      • Orders Refund
        POST
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
  • Callbakc Description
    • Callback Authentication Method
  1. Order

Get Orders Details

GET
/api/v2/order/detail/{order_id}
This endpoint retrieves the details of a specific order by providing the order ID in the URL path.

Request#

Path Parameters#

order_id (string) - The unique identifier of the order.

Response#

code (number) - The status code of the response.
message (string) - A message related to the response.
data (object) - An object containing the details of the order:
user_id (string) - The user ID associated with the order.
order_id (string) - The unique identifier of the order.
order_type (string) - The type of the order.
platform (string) - The platform on which the order was placed.
status (string) - The status of the order.
chain (string) - The blockchain chain associated with the order.
chain_name (string) - The name of the blockchain chain.
currency (string) - The currency used in the order.
amount (string) - The amount of currency involved in the order.
vs_price (string) - The price of the currency in comparison to another currency.
vs_currency (string) - The currency used for price comparison.
remark (string) - Any additional remarks related to the order.
refund (boolean) - Indicates if the order is eligible for a refund.
create_time (string) - The timestamp of order creation.
update_time (string) - The timestamp of the last update to the order.
tx_id (string) - The transaction ID associated with the order.
tx_type (string) - The type of transaction.
obtained (null) - The obtained value (if applicable).
fee (string) - The fee associated with the order.
from_addr (null) - The address from which the transaction originated.
to_addr (boolean) - Indicates if there is a destination address associated with the order.
tx_hash (string) - The hash of the transaction.
contract_id (null) - The contract ID associated with the order.
result (boolean) - Indicates the result of the response.

Request

Path Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dashboard.aurpay.net/api/v2/order/detail/20240806071926377966'
Response Response Example
{
    "code": 0,
    "message": "ok",
    "data": {
        "user_id": "mct-07d283468bf8",
        "order_id": "20240806071926377966",
        "order_type": "INVOICE",
        "platform": "AURPAY",
        "status": "PENDING",
        "chain": "TRX",
        "chain_name": "Tron",
        "currency": "USDC-TRC20",
        "amount": "19.0012",
        "vs_price": "19.0",
        "vs_currency": "USD",
        "remark": "",
        "refund": false,
        "create_time": "2024-08-06T07:19:26",
        "update_time": "2024-08-06T07:19:26",
        "tx_id": "68e9e5ed-28b8-4723-97fc-de5c643652e5",
        "tx_type": "INVOICE",
        "obtained": null,
        "fee": "0.2",
        "from_addr": null,
        "to_addr": false,
        "tx_hash": "",
        "contract_id": null
    },
    "result": true
}
Previous
Get Orders
Next
Get Transaction
Built with